当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]求助!Acer AS 5101装好Ubuntu7.04后进不去图形界面!(已解决)
帖子发表于 : 2007-06-09 23:30 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
提示说:no screen found。这是什么原因呀?是否是显卡驱动没装的问题?如果是请说说如何在字符界面下,在硬盘里没有驱动文件,手头也无驱动光盘的情况下如何解决?还有,本人是一个十足的初学者,还没有在源码的情况下安装成功软件,每次
./configure
make
sudo make install
这三部曲没有一次成功的,哪位高手能告诉我怎么配置 ./configure 和make,急呀!网上找了很久了都没有找到,郁闷!
我的是cpu:amd turion64 mk-36
显卡:ati mobile x1300
无线网卡:atheros ar5005g


问题已解决,解决方法:运行命令:sudo dpkg-reconfigure xserver-xorg
选vesa的显卡驱动,然后一路enter如果不能enter就用tab换行,再enter,然后再到gnome桌面,安装受限驱动,一切OK!


最后由 laoda796 编辑于 2007-10-24 14:35,总共编辑了 3 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: [问题]求助!Acer AS 5101装好Ubuntu7.04后进不去图形界面!
帖子发表于 : 2007-06-10 0:49 
头像

注册: 2005-10-16 8:26
帖子: 1937
地址: 地球
送出感谢: 0 次
接收感谢: 1
laoda796 写道:
提示说:... ... 还没有在源码的情况下安装成功软件,每次
./configure
make
sudo make install
这三部曲没有一次成功的,哪位高手能告诉我怎么配置 ./configure 和make ... ...


因为编译源码需要相关的编译器gcc, make什么的,但是这些程序默认是没有安装的,需要用户自行安装

在终端(Ubuntu menu->accessories->Terminal)中输入:$sudo apt-get install build-essential

这条命令安装编译安装源码用的软件


_________________
http://www.pandabang.info


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-06-10 7:14 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
哦,原来是这样呀,那对于我的问题有什么看法吗?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-06-10 8:42 
头像

注册: 2006-09-04 21:38
帖子: 1073
地址: 中国沙大
送出感谢: 0 次
接收感谢: 0 次
laoda796 写道:
哦,原来是这样呀,那对于我的问题有什么看法吗?

你的系统是如何安装的?是安装的Desktop还是server版呢?还有,你手头上就是有驱动光盘,估计也没用,你去ATI的主页上下载一个显卡驱动吧:http://www.ati.com。


_________________
ArchLinux,你让我不得不放弃,等着我,我还会回来!
不要总是让我玩系统!我要用它来工作!


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-06-10 11:51 
头像

注册: 2007-02-11 13:27
帖子: 887
送出感谢: 0 次
接收感谢: 0 次
引用:
1.


用 alternate 安装盘启动 (又要再下个ISO下来刻T.T)
2. Start text mode installer and install Ubuntu/Kubuntu.

用文本模式(text mode)安装系统。
3. Finish Install and reboot.

安装完成後重启系统。(Google输入法打出来居然是繁体字=.=)
4. Update package list and upgrade any packages needed.

用下面两条命令来更新安装包信息,并将所有需要升级的包升级:

sudo apt-get update
sudo apt-get dist-upgrade
5. Install fglrx closed source driver for ATI video cards.

用下面的命令安装fglrx (closed source driver for ATI video cards?):

sudo apt-get install xorg-driver-fglrx
6. Update loaded modules.

用下面的命令更新装载模块:

sudo depmod -a
7. Configure /etc/X11/xorg.conf

用下面两条命令来更新配置文件(/etc/X11/xorg.conf)

sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv
8. Reboot

重启系统



页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-06-10 11:51 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
我的是Ubuntu 7.04 amd6.iso,我选择的是第3项,将系统装到硬盘,因为第一,二项进不去,还有下了驱动了怎么放进去?怎么安装,ATI的官方驱动是.run的,该怎么安装?


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-06-10 12:57 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
那也就是说我现在装的这个没用了?要重新装?有没有不重新装可以解决的方法?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-06-10 13:11 
头像

注册: 2006-09-04 21:38
帖子: 1073
地址: 中国沙大
送出感谢: 0 次
接收感谢: 0 次
laoda796 写道:
我的是Ubuntu 7.04 amd6.iso,我选择的是第3项,将系统装到硬盘,因为第一,二项进不去,还有下了驱动了怎么放进去?怎么安装,ATI的官方驱动是.run的,该怎么安装?

不明白,你应该安装的是server,重装吧,记得使用Desktop的光盘。
参考一下这个教程吧,置顶里面也有。
http://forum.ubuntu.org.cn/viewtopic.ph ... sc&start=0


_________________
ArchLinux,你让我不得不放弃,等着我,我还会回来!
不要总是让我玩系统!我要用它来工作!


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-06-10 14:31 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
sever和desktop是怎么区分的?我应该下的是desktop呀!
大小是3.96G


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-06-10 15:01 
头像

注册: 2006-09-04 21:38
帖子: 1073
地址: 中国沙大
送出感谢: 0 次
接收感谢: 0 次
laoda796 写道:
sever和desktop是怎么区分的?我应该下的是desktop呀!
大小是3.96G

你下载的是DVD,那么请看上面给的教程,应该能够安装好的,如果选第三项安装的话,就是安装的server。没有安装图形界面。


_________________
ArchLinux,你让我不得不放弃,等着我,我还会回来!
不要总是让我玩系统!我要用它来工作!


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-06-10 15:02 
头像

注册: 2006-09-04 21:38
帖子: 1073
地址: 中国沙大
送出感谢: 0 次
接收感谢: 0 次
ubuntu 定制安装

(一)下载并刻录ubuntu光盘,利用ubuntu光盘安装基本系统(server安装模式)
(二)编辑/etc/apt/sources.list,加入ubuntu.org.cn的源,并apt-get update
(三)apt-get install x-window-system-core(安装x-window-system基本系统)
(四)apt-get install gnome-core(只安装gnome的基本系统,而且不要安装gdm,因为在ubuntu的源中gdm会安装很多ubuntu的特有东西)
(五)安装如下的包,补充一下比较必要的功能(看各人需要自己进行选择,包的描述是是根据自己理解写的,有的可能不太正确,请见谅):

acpi --------------------------acpi电源管理软件包
acpi-support --------------------------acpi电源管理软件包
acpid --------------------------acpi电源管理软件包
alien --------------------------管理除deb以外的其他格式的软件包
apmd --------------------------Utilities for Advanced Power Management (APM)
cupsys --------------------------打印服务支持
cupsys-bsd --------------------------打印服务支持
cupsys-client --------------------------打印服务支持
cupsys-driver-gimpprint -------------------------gimp图象处理软件打印服务支持(最好先装gimp再装)
cupsys-driver-gimpprint-data --------------------gimp图象处理软件打印服务支持(最好先装gimp再装)
esound --------------------------esound驱动
file-roller --------------------------归档管理器(先装unzip,unrar等)
foomatic-db --------------------------linuxprinting.org printer support
foomatic-db-engine
foomatic-db-gimp-print
foomatic-db-hpijs
foomatic-filters
foomatic-filters-ppds ----------------------------linuxprinting.org printer support
gconf-editor ----------------- ----------配置编辑器
gnome-cups-manager ----------------------------gnome打印器管理器
gnome-netstatus-applet ----------------------------Network status applet for GNOME 2
gnome-nettool -----------------------------Network information tool for GNOME
gnome-system-monitor ----------------------------Process viewer and system resource monitor for GNOME 2
gnome-system-tools ------------------------- --Cross-platform configuration utilities for GNOME(Users and groups,Date and time,Network configuration,Bootloaders)
gnome-utils ----------------------------包括gfloppy, gnome-system-log,gnome-dictionary搜索等一些桌面工具
gnome-volume-manager -------------------------可移动驱动器和介质
language-pack-zh -------------------------gnome基本的简体语言环境
language-pack-zh-base -------------------------gnome基本的简体语言环境
libgnome2-perl --------------------------好象是gnome2前端界面配置需要的相关文件
mozilla-firefox-locale-zh-cn ------------------firefox简体语言包
powermanagement-interface -----------------------platform neutral powermanagement interface
powernowd --------------------------------------control cpu speed and voltage using 2.6 kernel interface
sane-utils--------------------------------------API library for scanners -- utilities
smbclient --------------------------------------查看windows(smb)网络所需要文件
synaptic --------------------------------------新立得包管理器
x-ttcidfont-conf-------------------------------Configure TrueType and CID fonts for X X系统的字体配置程序
xsane-----------------------------------------GTK+-based X11 frontend for SANE (Scanner Access Now Easy)
gnome-audio----------------------------------gnome事件音效文件包

(六)如觉得有需要,可以考虑安装的软件包(不过本人这些都没有安装,是为了运行得更快)

gcalctool -------------------------------计算器
gnome-app-install -------------------------------ubuntu-gnome桌面环境软件的安装管理器
gnome-about -------------------------------关于gnome
gnome-pilot -------------------------------A GNOME applet for management of your Palm PDA
gnome-pilot-conduits --------------------------------conduits for gnome-pilot
gnome-themes -------------------------------gnome主题
gucharmap --------------------------------字符映射表
hal-device-manager ---------------------------------Hardware Abstraction Layer user interface
mkisofs --------------------------------Creates ISO-9660 CD-ROM filesystem images
nautilus-cd-burner --------------------------------nautilus的cd刻录程序
tsclient --------------------------------终端服务客户端
update-manager --------------------------------Ubuntu 更新管理器
update-notifier --------------------------------Ubuntu 更新提醒器
vino --------------------------------远程桌面
gnomemeeting --------------------------------gnome网络会议

(七)apt-get install fcitx ttf-arphic-newsung 安装输入法和newsung中文字体

(八)可以安装的一些常用软件参考
qt3-qtconfig -----------qt程序界面设置
opera(使用插件需要libmotif3包支持)
sun-j2re1.5 ----------java程序运行环境
prozgui 下载软件
gaim或kopete通讯软件
gthumb看图软件
xchatIRC
gimp图象处理软件
Meld-----------文件\目录\cvs比较工具
beep media player音乐播放
Qalculate(一个功能非常强大的计算器,不仅仅是计算器,竟然可以解决二元方程、积分、调用gnu,plot绘图等 )
totem-xine和w32codecs----------------视频播放软件和解码器
open office
stardict英汉辞典及相关字典库
gentoo和mc或rox-filer文件管理器
lumaqq(聊QQ软件)
Azureus(bt下载软件)
skype通讯软件
Thunderbird或sylpheed(查看html邮件需dillo支持)或其他email软件

(九)根据个人需要完成上面的一些软件包后,重启一下!运行startx进入图形界面(因为没有安装登陆管理器,因此需要输入命令进入),如果大家要安装登陆管理器的,不太建议安装kdm和gdm,好象这二个管理器都给ubuntu修改加入了自己不少的东西!


_________________
ArchLinux,你让我不得不放弃,等着我,我还会回来!
不要总是让我玩系统!我要用它来工作!


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-06-10 16:42 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
不好意思呀,刚才发错了,应该是选了第四项“安装到硬盘”


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-06-11 10:58 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
hao123liu 写道:
引用:
1.


用 alternate 安装盘启动 (又要再下个ISO下来刻T.T)
2. Start text mode installer and install Ubuntu/Kubuntu.

用文本模式(text mode)安装系统。
3. Finish Install and reboot.

安装完成後重启系统。(Google输入法打出来居然是繁体字=.=)
4. Update package list and upgrade any packages needed.

用下面两条命令来更新安装包信息,并将所有需要升级的包升级:

sudo apt-get update
sudo apt-get dist-upgrade
5. Install fglrx closed source driver for ATI video cards.

用下面的命令安装fglrx (closed source driver for ATI video cards?):

sudo apt-get install xorg-driver-fglrx
6. Update loaded modules.

用下面的命令更新装载模块:

sudo depmod -a
7. Configure /etc/X11/xorg.conf

用下面两条命令来更新配置文件(/etc/X11/xorg.conf)

sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv
8. Reboot

重启系统








用了之后出现了下面的情况
引用:
laoda7962@laoda796:~$ sudo aticonfig --install

aticonfig: unrecognized option `--install'
aticonfig: parsing the command-line failed.

laoda7962@laoda796:~$ sudo aticonfig --overlay-type=Xv

Warning: Option 'VideoOverlay' doesn't affect running session.
Warning: Option 'OpenGLOverlay' doesn't affect running session.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-3


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-06-11 11:04 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
现在已经可以进入图形界面了,解决方法如下:
将驱动改成vesa,
运行下面的命令:
sudo dpkg-reconfigure xserver-xorg
进入后将驱动改为vesa就可以进入了,可是在图形界面下怎么安装ATI官方驱动?或者fglrx?系统老是提醒说什么驱动是第三方的不是官方的真郁闷!
还有已经下好了ati-driver-installer-8.37.6-x86.x86_64.run可是安装不来,怎么自己编译呀,清具体说说,本人菜鸟一个,


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2007-06-11 11:26 

注册: 2007-04-26 22:24
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
网上找了ati官方驱动下了运行了之后就这样了,什么意思?
laoda7962@laoda796:~/Desktop$ ./ati-driver-installer-8.37.6-x86.x86_64.runCreated directory fglrx-install.jy6868
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.37.6..................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: X.Org 7.1 and later releases 64-bit
Removing temporary directory: fglrx-install.jy6868


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译